<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Request;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class ControllerExecuting extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.request.controller_executing', 'request', 'controller_executing', 'controller', $payload, $metadata);
    }
}
